Main Page Class Hierarchy Compound List File List Compound Members

# Boundary Class Reference

Element of type Boundary (G_Polygon with a width parameter). More...

`#include <boundary.h>`

Inheritance diagram for Boundary:

List of all members.

## Public Methods
void | OWrite (Driver_out &where)
void | DoWrite (DrawDriver &where)
BoundingBox & | CalcBoundingBox ()
| calculate the bounding box
TYPE | GetType ()
| get the element type NON,BOUNDARY,PATH,TEXT,SREF,AREF,ARCSEG,BOX,CIRCLE
void | Transform (wxTransformMatrix *_Matrix)
| tranform the element given a matrix
void | Convert (G_Polygon *converted, double Aber)
| convert primitive to polygon
Element * | Duplicate ()
bool | Select (Point *)
| select the element if Point is within it
bool | Select (BoundingBox *, wxTransformMatrix *)
wxPropertySheet * | GetPropList ()
| get property list
void | UpdatePropList ()
| update property list (remove members of object)

## Detailed Description

Element of type Boundary (G_Polygon with a width parameter).

See also class Shape

See also:
  ElementList , G_Polygon

## Member Function Documentation

bool Boundary::Select | ( | BoundingBox * | ,
|  | wxTransformMatrix * |
| ) | `[virtual]`

| select the element if is within the box. matrix is used to calculate the relative BoundingBox within structures Implements Element.

The documentation for this class was generated from the following file:

- boundary.h

Boundary class Reference -- Thu Nov 28 21:24:56 2002 -- 28 Nov 2002 -- 1.2.18 -- -- . -- Main Page